/**
 * 枚举类型
 */
export interface EnumType {
    label: string;
    value: number;
    disabled?: boolean;
}

/**
 * 根据枚举值获取枚举名称
 * @param enums 
 * @param value 
 * @returns 
 */
export function getEnumTypeName(enums: EnumType[], value: number) {
    const item = enums.find((e) => e.value === value)
    if (item) {
        return item.label
    }
    return '--'
}